package nl.kallestruik.dtweaks.commands

import co.aikar.commands.BaseCommand
import co.aikar.commands.annotation.CommandAlias
import co.aikar.commands.annotation.Conditions
import co.aikar.commands.annotation.Default
import nl.kallestruik.dtweaks.managers.TrampleManager
import org.bukkit.ChatColor
import org.bukkit.entity.Player

@CommandAlias("toggletrample")
@Conditions("tweakEnabled:tweak=PlayersCantTrampleCrops")
class CommandToggletrample(
    private val trampleManager: TrampleManager
): BaseCommand() {

    @Default
    fun onToggle(sender: Player) {
        if (trampleManager.trampleEnabled.remove(sender.uniqueId)) {
            sender.sendMessage(ChatColor.translateAlternateColorCodes('&', "&2Crop Trampling: &4&lDisabled"))
        } else {
            trampleManager.trampleEnabled.add(sender.uniqueId)
            sender.sendMessage(ChatColor.translateAlternateColorCodes('&', "&2Crop Trampling: &2&lEnabled"))
        }
    }
}